Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/include/Parameters.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Reservation_station/include/Parameters.h	(revision 88)
@@ -26,41 +26,40 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t    _size_queue           ;
-  public : const uint32_t    _nb_inst_retire       ;
-  public : const uint32_t    _nb_context           ;
-  public : const uint32_t    _nb_front_end         ;
-  public : const uint32_t    _nb_ooo_engine        ;
-  public : const uint32_t    _nb_packet            ;
-  public : const uint32_t    _size_general_data    ;
-  public : const uint32_t    _size_special_data    ;
-  public : const uint32_t    _nb_general_register  ;
-  public : const uint32_t    _nb_special_register  ;
-  public : const uint32_t    _nb_gpr_write         ;
-  public : const uint32_t    _nb_spr_write         ;
-  public : const uint32_t    _nb_bypass_write      ;//if nb_bypass=0, then bypass is desactivated
-  public : const uint32_t    _nb_bypass_memory     ;//if nb_bypass=0, then bypass is desactivated
-  public : const uint32_t    _size_store_queue     ;
-  public : const uint32_t    _size_load_queue      ;
+  public : uint32_t    _size_queue           ;
+  public : uint32_t    _nb_inst_retire       ;
+  public : uint32_t    _nb_context           ;
+  public : uint32_t    _nb_front_end         ;
+  public : uint32_t    _nb_ooo_engine        ;
+  public : uint32_t    _nb_packet            ;
+//public : uint32_t    _size_general_data    ;
+//public : uint32_t    _size_special_data    ;
+  public : uint32_t    _nb_general_register  ;
+  public : uint32_t    _nb_special_register  ;
+  public : uint32_t    _nb_gpr_write         ;
+  public : uint32_t    _nb_spr_write         ;
+  public : uint32_t    _nb_bypass_write      ;//if nb_bypass=0, then bypass is desactivated
+  public : uint32_t    _nb_bypass_memory     ;//if nb_bypass=0, then bypass is desactivated
+//public : uint32_t    _size_store_queue     ;
+//public : uint32_t    _size_load_queue      ;
+    /*
+  public : bool        _have_immediat        ;
+  public : bool        _have_gpr_ra          ;
+  public : bool        _have_gpr_rb          ;
+  public : bool        _have_spr_rc          ;
+  public : bool        _have_gpr_rd          ;
+  public : bool        _have_spr_re          ;
+    */
+//public : uint32_t    _size_context_id      ;
+//public : uint32_t    _size_front_end_id    ;
+//public : uint32_t    _size_ooo_engine_id   ;
+//public : uint32_t    _size_rob_ptr         ;
+//public : uint32_t    _size_general_register;
+//public : uint32_t    _size_special_register;
 
-    /*
-  public : const bool        _have_immediat        ;
-  public : const bool        _have_gpr_ra          ;
-  public : const bool        _have_gpr_rb          ;
-  public : const bool        _have_spr_rc          ;
-  public : const bool        _have_gpr_rd          ;
-  public : const bool        _have_spr_re          ;
-    */
-  public : const uint32_t    _size_context_id      ;
-  public : const uint32_t    _size_front_end_id    ;
-  public : const uint32_t    _size_ooo_engine_id   ;
-  public : const uint32_t    _size_rob_id          ;
-  public : const uint32_t    _size_general_register;
-  public : const uint32_t    _size_special_register;
-
-  public : const bool        _have_port_context_id   ;
-  public : const bool        _have_port_front_end_id ;
-  public : const bool        _have_port_ooo_engine_id;
-  public : const bool        _have_port_rob_id       ;
-  public : const bool        _have_port_load_queue_ptr;
+//public : bool        _have_port_context_id   ;
+//public : bool        _have_port_front_end_id ;
+//public : bool        _have_port_ooo_engine_id;
+//public : bool        _have_port_rob_ptr      ;
+//public : bool        _have_port_load_queue_ptr;
 
     //-----[ methods ]-----------------------------------------------------------
@@ -80,8 +79,11 @@
 			uint32_t nb_bypass_memory   ,
 			uint32_t size_store_queue   ,
-			uint32_t size_load_queue    );
+			uint32_t size_load_queue    ,
+                        bool     is_toplevel=false);
 
-  public : Parameters  (Parameters & param) ;
+//   public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
+
+  public :        void            copy       (void);
 
   public :        Parameters_test msg_error  (void);
